function onDeviceReady() {
	// Register the event listener
	if(admobid.interstitial != "NULL"){
		AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:true});
	}
	document.addEventListener('onInterstitialDismiss', interstitialEnd);
	document.addEventListener('onInterstitialFailedToReceive', interstitialEnd);
	document.addEventListener("onAdFailLoad", interstitialEnd);
	document.addEventListener("onAdDismiss", interstitialEnd);
	document.addEventListener("menubutton", onMenuKeyDown, false);		
	document.addEventListener("pause", onPause, false);
	document.addEventListener("resume", onResume, false);
	document.addEventListener("backbutton", onBackKeyDown, false);		
}

// Handle the back button
function onBackKeyDown() {	
	if(AdMob) AdMob.showInterstitial();
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}					
	navigator.app.exitApp(); //Your backbutton code
}

function onPause() {
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}
}  
		
function onResume() {
	if(typeof(cr_setSuspended) != "undefined") {
		cr_setSuspended(false); // Handle the pause event				
	}
}

function onMenuKeyDown() {
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}					
	// Handle the back button
}

function onLoad() {
        if(( /(ipad|iphone|ipod|android)/i.test(navigator.userAgent) )) {
            document.addEventListener('deviceready', initApp, false);
        } else {
            initApp();
        }
    }

var ad_units = {
            ios : {
                banner: 'NULL',
                interstitial: 'ca-mb-app-pub-5587206406992399/4756823820'
            },
            android : {
                banner: 'NULL',
                interstitial: 'ca-mb-app-pub-5587206406992399/4756823820'
            }
};
var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

function initApp() {
    
    // display the banner at startup
    //eateSelectedBanner();
}


document.addEventListener("deviceready", onDeviceReady, false);


//-----------------------------------------------------------------------
var interstitialReady = false;
function cordovaSetPauseConstruct(bool){
	if(typeof(AdMob) == "undefined"){return;}
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(bool);
	}	
}

function interstitialEnd(e) {
	if(typeof(AdMob) == "undefined"){return;}
	cordovaSetPauseConstruct(false);
	interstitialReady = false;
}

function reloadInterstitial(){
	//if(interstitialReady){return;}
	if(admobid.interstitial == "NULL"){ return;}
	AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:false});
	interstitialReady = true;
}


function cordovaStartPubConstruct(){
	if(typeof(AdMob) == "undefined"){return;}
	if(!interstitialReady){return;}
	cordovaSetPauseConstruct(true);
	if(AdMob) AdMob.showInterstitial();
}

/*
*	c2LayoutChange(state,name,force)     : called on construct when layout change
*
*	string state : "in" when enter on the layout, "out" when left the layout
*	string name : name of the layout
*	bool forcePub :  [default = 1]  1 = pub ; 0= noPub
*/
function c2LayoutChange(state,name,force){
	if(typeof(force) != "undefined" && force == false){  
		return;
	}

	switch(name) {
	    case "Splash":
	        break;
	    case "LevelSelect":
	        break;
	    case "GameMain":
			if(state == "in"){
	    		reloadInterstitial();
	    	}else if(state == "out"){

	    	}
	        break;
	    case "GameOver":
	    	if(state == "in"){
	    		if(timer > timeMinBetweenPub){
	    			timer = 0;
	    			cordovaStartPubConstruct();
	    		}
	    	}else if(state == "out"){

	    	}
	        break;
	}
}

//Set timer Mini between pub
var timeMinBetweenPub = 120;
var sitTimer = setInterval(function(){timer++;},1000);
var timer = 0;